OS 13.1 - Yast2 Scanner Configuration

When I try to configure scanning thru network in yast2/hardware/scanner, I get this error :

/usr/lib/YaST2/bin/setup_network_scanner_config: line 74: /etc/init.d/xinetd: No such file or directory
Failed to start xinetd

There is no /etc/init.d/xinetd file. I suppose because xinetd is started via systemd/systemctl
When I look in the file /usr/lib/YaST2/bin/setup_network_scanner_config around line 74 I can read :

# Enable the saned if "$SANED_CONFIG" is not the empty string otherwise disable the saned
# and do the appropriate stuff regarding the xinetd:
if  -n "$SANED_CONFIG" ]
then  sed -i -e 's/^.*disable.*$/	disable     = no/' $XINETD_CONFIG_FILE || {  echo "Failed to enable saned in $XINETD_CONFIG_FILE" 1>&2 ; exit  6 ; }
     if $XINETD_INIT_SCRIPT status &>/dev/null
     then $XINETD_INIT_SCRIPT reload || { echo "Failed to reload xinetd" 1>&2 ; exit 7 ; }
     else $XINETD_INIT_SCRIPT start || { echo "Failed to start xinetd" 1>&2 ; exit 8 ; }
          insserv xinetd || { echo "Failed to insserv xinetd" 1>&2 ; exit 9 ; }
     fi
else  sed -i -e 's/^.*disable.*$/	disable     = yes/' $XINETD_CONFIG_FILE ||  { echo "Failed to disable saned in $XINETD_CONFIG_FILE" 1>&2 ;  exit 10 ; }
     if $XINETD_INIT_SCRIPT status &>/dev/null
     then $XINETD_INIT_SCRIPT reload || { echo "Failed to reload xinetd" 1>&2 ; exit 7 ; }
     fi
fi

XINETD_CONFIG_FILE is “/etc/xinetd.d/sane-port” which exists
XINETD_INIT_SCRIPT is “/etc/init.d/xinetd” which does not exists

I suppose that all the stuff like

$XINETD_INIT_SCRIPT status

should be replaced by

systemctl status xinet.service

?

Any help is welcome.

Modification seems to work.

Perhaps may have to open a bug report ?

Same problem here.

On Mon 17 Mar 2014 08:16:01 PM CDT, l2mago wrote:

Same problem here.

Hi
It’s a kernel module;


su -
modprobe powernow-k8
exit
cpupower frequency-info

What CPU are you running?


Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
openSUSE 13.1 (Bottle) (x86_64) GNOME 3.10.1 Kernel 3.11.10-7-desktop
If you find this post helpful and are logged into the web interface,
please show your appreciation and click on the star below… Thanks!

On 2014-03-17 21:16, l2mago wrote:
>
> Same problem here.

Well, if there is no bug report, the issue will never be solved.


Cheers / Saludos,

Carlos E. R.
(from 13.1 x86_64 “Bottle” at Telcontar)

Yes, my thoughts too :slight_smile:

what scanner do you have?

I have an HP MFM (printer/scanner/fax) and after setting up the printer part, scanner was simply there to install and use. but I can see that OpenSuse have some kind of close relationship to HP as there is a special HP setup center you can install, that helps with setup and driver search and all. maybe for other mfg. it is not as easy?!
also I did not tried the fax yet :slight_smile:

On 2014-03-18 16:16, vl1969 wrote:
>
> what scanner do you have?

Irrelevant. This is about the feature for scanning via a network
connected scanner. There is a Bug in yast for setting that up, and
apparently it has not been corrected.


Cheers / Saludos,

Carlos E. R.
(from 13.1 x86_64 “Bottle” at Telcontar)

excuse me robin but I am not sure it’s irrelevant.
mine is a network connected MFM and it took me ohh all 15 min to get the drivers and set it up.
if his scanner is HP he might use the HP module to get proper drivers for it and than the function will work as expected maybe…

the only issue I had was remembering the MFM IP address and proper model of it, it’s been a while since I had it set up and I was to lazy to go and read it.

On 2014-03-18 16:56, vl1969 wrote:
>
> excuse me robin but I am not sure it’s irrelevant.
> mine is a network connected MFM and it took me ohh all 15 min to get the
> drivers and set it up.
> if his scanner is HP he might use the HP module to get proper drivers
> for it and than the function will work as expected maybe…
>
> the only issue I had was remembering the MFM IP address and proper model
> of it, it’s been a while since I had it set up and I was to lazy to go
> and read it.

Well, the original poster in this thread reported a precise issue in a
yast module (/usr/lib/YaST2/bin/setup_network_scanner_config) and
published a patch for it.

That’s the issue of this thread :slight_smile:

That there may be other ways of doing the setup, yes, fine, but that is
not the issue :slight_smile:


Cheers / Saludos,

Carlos E. R.
(from 13.1 x86_64 “Bottle” at Telcontar)

For those of us who don’t use YaST to configure scanners there is no issue, but this obviously can impact those who do.

Hi, sorry about “same problem here”.

I’m really new on this, anyone can submit a bug? If no one submitted yet I can. I prefer not configure from Yast… but I never work with systemd before and it’s a bit confusion configure a lot o things… I configured in Ubuntu 9 but I don’t remember nothing about xinetd…

agreed, but I only asked what brand scanner had the issue.
since My is made by HP
and OpenSuse provide utilities for HP that worked for me, I thought I would share.
also, after setting up the printer part using the HP utility I used Yast Scanner module to setup the scanner part, and it worked for me. so maybe the issue was fixed already or something in generic driver causes the issue…

Referring to the initial post by jcdole, ii affects network scanners being configured with YaST. It is not specific to particular hardware or drivers. As you mention, the HP utilities are provided for configuration, and many choose to configure scanners by hand as it is generally relatively simple to do so.

Yes, anyone who has an openSUSE account can do so.

https://en.opensuse.org/openSUSE:Submitting_bug_reports

I prefer not configure from Yast… but I never work with systemd before and it’s a bit confusion configure a lot o things… I configured in Ubuntu 9 but I don’t remember nothing about xinetd…

Just to be clear: Configuring scanners does not require knowledge of systemd or xinetd. (This thread is reporting an apparent bug in the YaST config code.)

On 2014-03-19 16:06, l2mago wrote:
>
> Hi, sorry about “same problem here”.
>
> I’m really new on this, anyone can submit a bug? If no one submitted yet
> I can. I prefer not configure from Yast…

Anyone can report a bug. But it has to be someone that at least can
reproduce the problem, and hopefully answer questions, and test the
solution, when it comes. I don’t have a networked scanner, so I can not.

If you are not using YaST, then you do not have the same problem as what
jcdole reported. I would suggest then that you start a new thread,
describing exactly your problem.


Cheers / Saludos,

Carlos E. R.
(from 13.1 x86_64 “Bottle” at Telcontar)

Hello.

Bug 873979 Submitted

Thanks for reporting and the update here. :slight_smile:

Well this is strange. I am running OS 13.1 on my desktop and managed to get my network scanner (Brother MFC5840-CN) to work. Unfortunately, I cannot remember how, but it was so simple, it surprised me at the time.

On the other hand, I am now trying the same thing on my new laptop and I can report similar problems to the above.:’(

Cheers
hn

On 2014-05-30 12:46, hnimmo wrote:
> On the other hand, I am now trying the same thing on my new laptop and I
> can report similar problems to the above.:’(

To post number 1?

Did you try his patch?

If it is a different problem than that what was described and solved on
post number one, please create a new thread.

jcdole created a related Bugzilla 873979 on 2014-04-16. It was closed as
duplicate of Bug 859353, reported on 2014-01-18.

In the later, there is an attachment, created 3 days ago, that is said
to solve the issue.


Cheers / Saludos,

Carlos E. R.
(from 13.1 x86_64 “Bottle” at Telcontar)